OpenZWave::Bitfield Class Reference

`#include <Bitfield.h>`

## Classes

class | Iterator

## Public Member Functions

| Bitfield ()
| ~Bitfield ()
void | Set (uint32 _idx)
void | Clear (uint32 _idx)
bool | IsSet (uint32 _idx) const
uint32 | GetNumSetBits () const
Iterator | Begin () const
Iterator | End () const

## Friends

class | Iterator

## Constructor & Destructor Documentation

## Bitfield()

OpenZWave::Bitfield::Bitfield | ( |  | ) |

inline

## ~Bitfield()

OpenZWave::Bitfield::~Bitfield | ( |  | ) |

inline

## Member Function Documentation

## Begin()

Iterator OpenZWave::Bitfield::Begin | ( |  | ) | const

inline

## Clear()

void OpenZWave::Bitfield::Clear | ( | uint32 | _idx | ) |

inline

## End()

Iterator OpenZWave::Bitfield::End | ( |  | ) | const

inline

## GetNumSetBits()

uint32 OpenZWave::Bitfield::GetNumSetBits | ( |  | ) | const

inline

## IsSet()

bool OpenZWave::Bitfield::IsSet | ( | uint32 | _idx | ) | const

inline

## Set()

void OpenZWave::Bitfield::Set | ( | uint32 | _idx | ) |

inline

## Friends And Related Function Documentation

## Iterator

friend class Iterator

friend

The documentation for this class was generated from the following file:

- Bitfield.h